Skip to main content
`Ctrl`+`K`

# DMHasNamedGlobalVector

check for a named, persistent global vector created with `DMGetNamedGlobalVector()`

## Synopsis

    #include "petscdm.h"
    PetscErrorCode DMHasNamedGlobalVector(DM dm, const char *name, PetscBool *exists)

Not Collective

## Input Parameters

- dm - `DM` to hold named vectors

- name - unique name for `Vec`

## Output Parameter

- exists - true if the vector was previously created

## See Also

`DM`, `DMGetNamedGlobalVector()`, `DMRestoreNamedLocalVector()`, `DMClearNamedGlobalVectors()`

## Level

developer

## Location

src/dm/interface/dmget.c

## Examples

src/ts/tutorials/ex30.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages